package common.db.dao;

import common.db.ExclusiveException;

/**
 * DAO制約例外
 *
 * @author Tadashi Nakayama
 * @version 1.0.0
 */
public class DaoConstraintException extends ExclusiveException {
	/** serialVersionUID */
	private static final long serialVersionUID = 1944635073830309002L;

	/**
	 * コンストラクタ
	 *
	 * @param th 例外オブジェクト
	 */
	public DaoConstraintException(final Throwable th) {
		super(th);
	}

	/**
	 * コンストラクタ
	 *
	 * @param th 例外オブジェクト
	 * @param nw noWaitフラグ
	 */
	public DaoConstraintException(final Throwable th, final boolean nw) {
		super(th, nw);
	}
}
